Index: sources/client/src/components/admin/EmployeesTable/index.js
===================================================================
--- sources/client/src/components/admin/EmployeesTable/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/EmployeesTable/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,121 +1,171 @@
+import { useEffect } from 'react';
 import { useHistory } from 'react-router';
 
 import {
-  TableContainer,
-  TableHeaderWrapper,
-  TableTitle,
-  Table,
-  TableHead,
-  TableRow,
-  TableBody,
-  TableCell,
-  ButtonTableCell,
-  ToggleAccoutStatusButton,
-  CreateEmployeeButton,
-  AddIcon,
-  SearchField,
-  IdentityIcon,
+    TableContainer,
+    TableHeaderWrapper,
+    TableTitle,
+    Table,
+    TableHead,
+    TableRow,
+    TableBody,
+    TableCell,
+    ButtonTableCell,
+    ToggleAccoutStatusButton,
+    CreateEmployeeButton,
+    AddIcon,
+    SearchField,
+    IdentityIcon,
 } from './styles';
 
 import InputAdornment from '@mui/material/InputAdornment';
+import DropdownViewer from '../../DropdownViewer';
 
 import { employeeStatus, accountStatus } from '../../../config/enums';
+import useGetData from '../../../hooks/useGetData';
+import useToggleAccountStatus from '../../../hooks/useToggleAccountStatus';
+import AbsoluteLoader from '../../Loaders/AbsoluteLoader';
 
-import { employees } from './mockData';
+// import { employees } from './mockData';
 import { useState } from 'react';
 
 const EmployeesTable = () => {
-  let history = useHistory();
-  const [filteredEmployees, setFilteredEmployees] = useState(employees);
-  const [search, setSearch] = useState('');
+    let history = useHistory();
+    const { toggleAccountStatus, isLoading: isLoadingAccountStatus } =
+        useToggleAccountStatus();
+    const { data: employees, isLoading: isLoadingEmployees } = useGetData({
+        url: `/vraboten`,
+    });
+    const [filteredEmployees, setFilteredEmployees] = useState([]);
+    const [search, setSearch] = useState('');
+    const onRowClick = (workerId) => {
+        history.push(`/employees/${workerId}`);
+    };
+    const changeAccoutStatusOnEmployee = ({ workerId }) => {
+        const emp = filteredEmployees.find((e) => e.workerId === workerId);
+        emp.accountNonLocked = !emp.accountNonLocked;
+    };
+    const onAccountStatusClick = (event, workerId) => {
+        event.stopPropagation();
+        toggleAccountStatus({ workerId, changeAccoutStatusOnEmployee });
+    };
 
-  const onRowClick = (id) => {
-    history.push(`/employees/${id}`);
-  };
+    const onChangeSearch = (e) => {
+        let newSearchValue = e.target.value;
+        setSearch(newSearchValue);
+        const filteredData = employees.filter((employee) =>
+            employee.firstName
+                .concat(` ${employee.lastName}`)
+                .toLowerCase()
+                .includes(newSearchValue.trim().toLowerCase())
+        );
 
-  const onAccountStatusClick = (event, id) => {
-    event.stopPropagation();
-    console.log(`Disable or activate user acc with id: ${id}`);
-  };
+        setFilteredEmployees(filteredData);
+    };
 
-  const onChangeSearch = (e) => {
-    let newSearchValue = e.target.value;
-    setSearch(newSearchValue);
-    const filteredData = employees.filter((employee) =>
-      employee.firstName
-        .concat(` ${employee.lastName}`)
-        .toLowerCase()
-        .includes(newSearchValue.trim().toLowerCase())
+    useEffect(() => {
+        setFilteredEmployees(employees);
+    }, [employees]);
+
+    return (
+        !isLoadingEmployees && (
+            <TableContainer>
+                <TableHeaderWrapper>
+                    {isLoadingAccountStatus ? (
+                        <AbsoluteLoader
+                            containerStyle={{
+                                position: 'absolute',
+                                left: '65%',
+                                width: '42px',
+                                height: '42px',
+                            }}
+                        />
+                    ) : null}
+                    <TableTitle variant='h5'>Вработени</TableTitle>
+                    <SearchField
+                        value={search}
+                        onChange={(e) => onChangeSearch(e)}
+                        placeholder='Пребарај...'
+                        InputProps={{
+                            startAdornment: (
+                                <InputAdornment position='start'>
+                                    <IdentityIcon />
+                                </InputAdornment>
+                            ),
+                        }}
+                    />
+                    <CreateEmployeeButton
+                        onClick={() => history.push('/employees/create')}
+                    >
+                        <AddIcon />
+                        Додади вработен
+                    </CreateEmployeeButton>
+                </TableHeaderWrapper>
+                <Table aria-label='simple table'>
+                    <TableHead>
+                        <TableRow>
+                            <TableCell align='left'>Емаил</TableCell>
+                            <TableCell align='center'>Име и Презиме</TableCell>
+                            <TableCell align='center'>Зона</TableCell>
+                            <TableCell align='center'>Телефон</TableCell>
+                            <TableCell align='center'>Статус</TableCell>
+                            <TableCell align='center'>Акаунт</TableCell>
+                        </TableRow>
+                    </TableHead>
+                    <TableBody>
+                        {filteredEmployees.map((employeeData) => (
+                            <TableRow
+                                key={employeeData.workerId}
+                                onClick={() =>
+                                    onRowClick(employeeData.workerId)
+                                }
+                            >
+                                <TableCell align='left'>
+                                    {employeeData.email}
+                                </TableCell>
+                                <TableCell align='center'>
+                                    {employeeData.firstName}{' '}
+                                    {employeeData.lastName}
+                                </TableCell>
+                                <TableCell
+                                    align='center'
+                                    style={{ padding: 0, width: '200px' }}
+                                >
+                                    <DropdownViewer
+                                        data={employeeData.parkingZones.map(
+                                            (z) => z.pzName
+                                        )} // TODO DELETE - after backend fix
+                                        width='200px'
+                                    />
+                                </TableCell>
+                                <TableCell align='center'>
+                                    {employeeData.mobile}
+                                </TableCell>
+                                <TableCell align='center'>
+                                    {employeeStatus[employeeData.status]}
+                                </TableCell>
+                                <ButtonTableCell align='center'>
+                                    <ToggleAccoutStatusButton
+                                        onClick={(event) =>
+                                            onAccountStatusClick(
+                                                event,
+                                                employeeData.workerId
+                                            )
+                                        }
+                                        $enabled={employeeData.accountNonLocked}
+                                    >
+                                        {/* $ added because https://styled-components.com/docs/api#transient-props*/}
+                                        {employeeData.accountNonLocked
+                                            ? accountStatus.enabled
+                                            : accountStatus.disabled}
+                                    </ToggleAccoutStatusButton>
+                                </ButtonTableCell>
+                            </TableRow>
+                        ))}
+                    </TableBody>
+                </Table>
+            </TableContainer>
+        )
     );
-
-    setFilteredEmployees(filteredData);
-  };
-
-  return (
-    <TableContainer>
-      <TableHeaderWrapper>
-        <TableTitle variant='h5'>Вработени</TableTitle>
-        <SearchField
-          value={search}
-          onChange={(e) => onChangeSearch(e)}
-          placeholder='Пребарај...'
-          InputProps={{
-            startAdornment: (
-              <InputAdornment position='start'>
-                <IdentityIcon />
-              </InputAdornment>
-            ),
-          }}
-        />
-        <CreateEmployeeButton onClick={() => history.push('/employees/create')}>
-          <AddIcon />
-          Додади вработен
-        </CreateEmployeeButton>
-      </TableHeaderWrapper>
-      <Table aria-label='simple table'>
-        <TableHead>
-          <TableRow>
-            <TableCell align='left'>Емаил</TableCell>
-            <TableCell align='center'>Име и Презиме</TableCell>
-            <TableCell align='center'>Зона</TableCell>
-            <TableCell align='center'>Телефон</TableCell>
-            <TableCell align='center'>Статус</TableCell>
-            <TableCell align='center'>Акаунт</TableCell>
-          </TableRow>
-        </TableHead>
-        <TableBody>
-          {filteredEmployees.map((employeeData) => (
-            <TableRow
-              key={employeeData.id}
-              onClick={() => onRowClick(employeeData.id)}
-            >
-              <TableCell align='left'>{employeeData.email}</TableCell>
-              <TableCell align='center'>
-                {employeeData.firstName} {employeeData.lastName}
-              </TableCell>
-              <TableCell align='center'>{employeeData.zone}</TableCell>
-              <TableCell align='center'>{employeeData.phoneNumber}</TableCell>
-              <TableCell align='center'>
-                {employeeStatus[employeeData.status]}
-              </TableCell>
-              <ButtonTableCell align='center'>
-                <ToggleAccoutStatusButton
-                  onClick={(event) =>
-                    onAccountStatusClick(event, employeeData.id)
-                  }
-                  $enabled={employeeData.accountActive}
-                >
-                  {/* $ added because https://styled-components.com/docs/api#transient-props*/}
-                  {employeeData.accountActive
-                    ? accountStatus.enabled
-                    : accountStatus.disabled}
-                </ToggleAccoutStatusButton>
-              </ButtonTableCell>
-            </TableRow>
-          ))}
-        </TableBody>
-      </Table>
-    </TableContainer>
-  );
 };
 
Index: sources/client/src/components/admin/EmployeesTable/mockData.js
===================================================================
--- sources/client/src/components/admin/EmployeesTable/mockData.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/EmployeesTable/mockData.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,57 +1,57 @@
 export const employees = [
-    {
-        id: 1,
-        email: 'viktor-tasevski@hotmail.com',
-        password: '123',
-        firstName: 'Viktor',
-        lastName: 'Tasevski',
-        zone: 'zone1',
-        phoneNumber: '072500000',
-        status: 'vacation',
-        accountActive: true
-    },
-    {
-        id: 2,
-        email: 'andrejTav@gmail.com',
-        password: '123',
-        firstName: 'Andrej',
-        lastName: 'Tavcioski',
-        zone: 'zone2',
-        phoneNumber: '070350123',
-        status: 'working',
-        accountActive: true
-    },
-    {
-        id: 3,
-        email: 'david.trajkovski@yahoo.com',
-        password: '123',
-        firstName: 'David',
-        lastName: 'Trajkovski',
-        zone: 'zone3',
-        phoneNumber: '078123321',
-        status: 'working',
-        accountActive: true
-    },
-    {
-        id: 4,
-        email: 'poc@gmail.com',
-        password: '123',
-        firstName: 'Nekoj od',
-        lastName: 'POC',
-        zone: 'zone4',
-        phoneNumber: '223305',
-        status: 'notWorking',
-        accountActive: true
-    },
-    {
-        id: 5,
-        email: 'silbo@outlook.com',
-        password: '123',
-        firstName: 'Nekoj od',
-        lastName: 'Silbo',
-        zone: 'zone5',
-        phoneNumber: '071206205',
-        status: 'notWorking',
-        accountActive: false
-    }
+  {
+    id: 1,
+    email: 'viktor-tasevski@hotmail.com',
+    password: '123',
+    firstName: 'Viktor',
+    lastName: 'Tasevski',
+    zones: ['Zona 1', 'Zona 2', 'Zone 4'],
+    phoneNumber: '072500000',
+    status: 'vacation',
+    accountActive: true,
+  },
+  {
+    id: 2,
+    email: 'andrejTav@gmail.com',
+    password: '123',
+    firstName: 'Andrej',
+    lastName: 'Tavcioski',
+    zones: ['Zona 2', 'Zona 5'],
+    phoneNumber: '070350123',
+    status: 'working',
+    accountActive: true,
+  },
+  {
+    id: 3,
+    email: 'david.trajkovski@yahoo.com',
+    password: '123',
+    firstName: 'David',
+    lastName: 'Trajkovski',
+    zones: ['Zona 3'],
+    phoneNumber: '078123321',
+    status: 'working',
+    accountActive: true,
+  },
+  {
+    id: 4,
+    email: 'poc@gmail.com',
+    password: '123',
+    firstName: 'Nekoj od',
+    lastName: 'POC',
+    zones: ['Zona 4'],
+    phoneNumber: '223305',
+    status: 'notWorking',
+    accountActive: true,
+  },
+  {
+    id: 5,
+    email: 'silbo@outlook.com',
+    password: '123',
+    firstName: 'Nekoj od',
+    lastName: 'Silbo',
+    zones: [],
+    phoneNumber: '071206205',
+    status: 'sick',
+    accountActive: false,
+  },
 ];
Index: sources/client/src/components/admin/EmployeesTable/styles.js
===================================================================
--- sources/client/src/components/admin/EmployeesTable/styles.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/EmployeesTable/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -18,5 +18,5 @@
   component: Paper,
 })`
-  max-width: 1000px;
+  max-width: 1100px;
   margin-top: 20px;
   margin-left: 30px;
@@ -33,4 +33,5 @@
   border-bottom: none;
   padding: 10px 16px;
+  position: relative;
   background-color: ${(props) => props.theme.palette.grey[400]};
 `;
Index: sources/client/src/components/admin/ParkingZone/index.js
===================================================================
--- sources/client/src/components/admin/ParkingZone/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/ParkingZone/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,3 +1,3 @@
-import { useState } from 'react';
+import { useState, useContext, useEffect } from 'react';
 import { useParams } from 'react-router-dom';
 
@@ -7,74 +7,133 @@
 import ParkingZoneSessions from '../ParkingZoneSessions';
 import GoogleMaps from '../../GoogleMaps';
-
+import CircularProgress from '@mui/material/CircularProgress';
 import {
-  NamesWrapper,
-  ParkingAndZoneName,
-  DividerUnderNames,
-  NavigationIconsWrapper,
-  MainSection,
-  MapsIcon,
-  ComponentIcon,
+    NamesWrapper,
+    ParkingAndZoneName,
+    DividerUnderNames,
+    NavigationIconsWrapper,
+    MainSection,
+    MapsIcon,
+    ComponentIcon,
+    ZoneNameLoader,
 } from './styles';
 
+import AbsoluteLoader from '../../Loaders/AbsoluteLoader';
 import { roles } from '../../../config/enums';
+import { UserContext } from '../../../context/UserContext';
+import useGetData from '../../../hooks/useGetData';
 
-import { parkingZones } from '../ParkingZones/mockData';
+const defaultLocationObj = {
+    centre: {
+        lat: 42.000629,
+        lng: 21.420525,
+    },
+    coords: []
+};
+
+const mockResponsiblePersons = [
+    // TODO DELTE THIS
+    {
+        id: 1,
+        email: 'viktor-tasevski@hotmail.com',
+        firstName: 'Viktor',
+        lastName: 'Tasevski',
+    },
+    {
+        id: 3,
+        email: 'david_trajkovski@yahoo.com',
+        firstName: 'David',
+        lastName: 'Trajkovski',
+    },
+];
 
 const activeComponentEnum = {
-  MAPS: 'maps',
-  INFO: 'info',
+    MAPS: 'maps',
+    INFO: 'info',
 };
 
 const ParkingZone = () => {
-  const { zone_id } = useParams();
-  const [activeComponent, setActiveComponent] = useState(
-    activeComponentEnum.MAPS
-  );
+    const { user } = useContext(UserContext);
+    const { zone_id } = useParams();
+    const url = `/parkingZone/${zone_id}`;
+    const { data: zoneData, isLoading: isLoadingZoneData } = useGetData({
+        url: url,
+    });
 
-  const user = {
-    role: 'ROLE_ADMIN',
-  };
+    const [zoneState, setZoneState] = useState(null);
+    const [activeComponent, setActiveComponent] = useState(
+        activeComponentEnum.MAPS
+    );
 
-  const zone = parkingZones.find((z) => z.id === parseInt(zone_id));
-  const Info =
-    user.role !== roles.admin ? ParkingZoneInfo : ParkingZoneSessions;
-  return (
-    <>
-      <NamesWrapper>
-        <ParkingAndZoneName>Паркинг - Дебар Маало</ParkingAndZoneName>
-        <ParkingAndZoneName>{zone?.zoneName}</ParkingAndZoneName>
-      </NamesWrapper>
+    const setZone = (updatedZone) => {
+        setZoneState({ ...updatedZone });
+    };
+    const Info =
+        user.role === roles.admin ? ParkingZoneInfo : ParkingZoneSessions;
 
-      <DividerUnderNames />
+    useEffect(() => {
+        setZoneState({
+            ...zoneData
+        });
+    }, [zoneData]);
+    return (
+        <>
+            <NamesWrapper>
+                <ParkingAndZoneName>Паркинг - Дебар Маало</ParkingAndZoneName>
+                <ParkingAndZoneName className='zone-name'>
+                    Зона
+                    {isLoadingZoneData ? (
+                        <ZoneNameLoader />
+                    ) : (
+                        ` - ${zoneState?.pzName ?? ''}`
+                    )}
+                </ParkingAndZoneName>
+            </NamesWrapper>
 
-      <NavigationIconsWrapper>
-        <IconButton
-          onClick={() => setActiveComponent(activeComponentEnum.MAPS)}
-        >
-          <MapsIcon $isactive={activeComponent === activeComponentEnum.MAPS} />
-        </IconButton>
-        <IconButton
-          onClick={() => setActiveComponent(activeComponentEnum.INFO)}
-        >
-          <ComponentIcon
-            $isactive={activeComponent === activeComponentEnum.INFO}
-          />
-        </IconButton>
-      </NavigationIconsWrapper>
+            <DividerUnderNames />
 
-      <MainSection>
-        {activeComponent === activeComponentEnum.MAPS ? (
-          <GoogleMaps
-            location={zone.location}
-            parkingSpacesLocation={zone.parkingSpacesLocation}
-            zoneAreaColor={zone.areaColor}
-          />
-        ) : (
-          <Info zone={zone} />
-        )}
-      </MainSection>
-    </>
-  );
+            <NavigationIconsWrapper>
+                <IconButton
+                    onClick={() => setActiveComponent(activeComponentEnum.MAPS)}
+                >
+                    <MapsIcon
+                        $isactive={activeComponent === activeComponentEnum.MAPS}
+                    />
+                </IconButton>
+                <IconButton
+                    onClick={() => setActiveComponent(activeComponentEnum.INFO)}
+                >
+                    <ComponentIcon
+                        $isactive={activeComponent === activeComponentEnum.INFO}
+                    />
+                </IconButton>
+            </NavigationIconsWrapper>
+
+            <MainSection>
+                {isLoadingZoneData ? (
+                    <AbsoluteLoader
+                        containerStyle={{
+                            width: '250px',
+                            height: '250px',
+                            margin: 'auto',
+                            marginTop: '12vw',
+                        }}
+                    />
+                ) : (
+                    <>
+                        {activeComponent === activeComponentEnum.MAPS ? (
+                            <GoogleMaps
+                                location={zoneState.parkingZoneLocation ?? defaultLocationObj}
+                                parkingSpaces={zoneState.parkingSpaces}
+                                zoneAreaColor={zoneState.color}
+                            />
+                        ) : (
+                            <Info zone={zoneState} setZone={setZone} />
+                        )}
+                    </>
+                )}
+            </MainSection>
+        </>
+    );
 };
 
Index: sources/client/src/components/admin/ParkingZone/styles.js
===================================================================
--- sources/client/src/components/admin/ParkingZone/styles.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/ParkingZone/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -3,4 +3,6 @@
 import MapOutlinedIcon from '@mui/icons-material/MapOutlined';
 import EqualizerOutlinedIcon from '@mui/icons-material/EqualizerOutlined';
+import { mobile_max_width } from '../../../config/utilities';
+import CircularProgress from '@mui/material/CircularProgress';
 
 export const NamesWrapper = styled.div`
@@ -11,5 +13,12 @@
   justify-content: space-between;
   align-items: center;
-  padding: 10px 175px;
+  padding: 10px 10%;
+
+  @media (max-width: ${mobile_max_width}px) {
+    flex-direction: column;
+    .zone-name {
+      margin-top: 30px;
+    }
+  }
 `;
 
@@ -19,10 +28,24 @@
   margin: 0,
   color: `${props.theme.palette.primary.main}`,
-}))``;
+}))`
+  display: flex;
+  align-items: center;
+`;
+
+export const ZoneNameLoader = styled(CircularProgress).attrs({
+  size: 40,
+  sx: {
+    marginLeft: '10px',
+  },
+})`
+  .MuiCircularProgress-svg {
+    color: ${(props) => props.theme.palette.primary.light};
+  }
+`;
 
 export const DividerUnderNames = styled(Divider).attrs({
   variant: 'middle',
   sx: {
-    margin: '0 160px',
+    margin: '0 9%',
     borderWidth: '2px',
     borderBottomWidth: 'thin',
Index: sources/client/src/components/admin/ParkingZoneInfo/index.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfo/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/ParkingZoneInfo/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,4 +1,24 @@
-const ParkingZoneInfo = () => {
-    return <h1>PARKING ZONE INFO</h1>
+import { useState } from 'react';
+
+import { Wrapper } from './styles';
+
+import ParkingZoneInfoViewer from '../ParkingZoneInfoViewer';
+import ParkingZoneInfoEdit from '../ParkingZoneInfoEdit';
+
+const ParkingZoneInfo = ({ zone, setZone }) => {
+  const [editMode, setEditMode] = useState(false);
+  return (
+    <Wrapper>
+      {editMode ? (
+        <ParkingZoneInfoEdit
+          zone={zone}
+          setEditMode={setEditMode}
+          setZone={setZone}
+        />
+      ) : (
+        <ParkingZoneInfoViewer zone={zone} setEditMode={setEditMode} />
+      )}
+    </Wrapper>
+  );
 };
 
Index: sources/client/src/components/admin/ParkingZoneInfo/styles.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfo/styles.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/components/admin/ParkingZoneInfo/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,13 @@
+import styled from 'styled-components';
+
+export const Wrapper = styled.div`
+  display: flex;
+  flex-direction: row;
+  justify-content: space-between;
+  width: 100%;
+  max-width: 1650px;
+  height: 690px;
+  padding: 0 10%;
+  margin: auto;
+  margin-top: 25px;
+`;
